<?php 

session_start();
require_once ("../../config/Cado.php");
require_once ("../distribucion/cDistribucion.php");
$oDistribucion = new cDistribucion();
$dts1 = $oDistribucion->mostrarTodo($_SESSION['usuario_id']);
$numrows = mysqli_num_rows($dts1);

if($numrows>0){
    
    ?>	
	



<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Distribucion
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Almacen</li>
				<li class="breadcrumb-item active">Distribucion</li>
            </ol>
          </div>
		</div>
	</div>
</div>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
		    <div class="card">
		        <div class="card-header">
		         <strong>Alguien mas esta usando el modulo de distribucion.</strong>        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
	
	
	
<script type="text/javascript">


	
$(function() {

	$('#btn_actualizar').click(function() {
		$("#contenido").load("../distribucion/distribucion_vista.php");
	});

	setTitle("DISTRIBUCION - "+nombreEmpresa);	
	
});
</script>
	
	
<?php	
    
    
    
}
else{
    unset($_SESSION['alm_id']);
$oDistribucion->eliminarCarrito();
?>


<style type="text/css">
select{
	cursor:pointer;
}
</style>
 

	<!-- busqueda de registros -->
	<div id="div_distribucion_filtro"></div>
	<!-- listado de registros -->
	<div id="div_distribucion_tabla"  style="max-height:200px;  overflow-y: scroll;"></div>
	<div  class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="height:5px;" > </div>
	<div id="div_distribucionsucursales_tabla"  style=""></div>
	
	<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" >
	<div class="row" >
	<div class="col-lg-8 col-md-8 col-sm-8 col-xs-12 div_itemsinstock" ></div> 
	<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12" >
		<div class="float-right">
			<span id="btn_actualizar" class="btn btn-default">Actualizar</span>
		    <span id="btn_guardar" class="btn btn-primary">Guardar</span>
		</div>
	</div>
	</div>
	
    <div  class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="height:35px;" > </div>
	
	 </div>
	
	<div class="modal fade" id="div_distribucion_sucursal_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-md" style="width:95%"   role="document" >

			<div class="modal-content">

			<div class="modal-body div_distribucion_sucursal_form" style="padding:0%;" >

			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
	
	
	
<script type="text/javascript">






	function distribucion_sucursal()
	
	{
		
		
		
		
		
		$('#div_distribucion_sucursal_form_dialog').modal();
		
		
		$.ajax({
			type: "POST",
			url: "../distribucion/distribucion_sucursal.php",
			async:true,
			dataType: "html",                      
		data: ({
		}),
		beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";
			$('.div_distribucion_sucursal_form').html(div);
		},
		success: function(data){
			$('.div_distribucion_sucursal_form').html(data);
		},
		complete: function(){
		}
	});
	}





	function distribucion_filtro()
	{
		$.ajax({
			type: "POST",
			url: "../distribucion/distribucion_filtro.php",
			async:true,
			dataType: "html",                      
		data: ({
			almori_id : $("#cmb_dis_alm_id").val()
		}),
		beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";
			$('#div_distribucion_filtro').html(div);
		},
		success: function(html){
			$('#div_distribucion_filtro').html(html);
		},
		complete: function(){
		}
	});
	}
	
	 
	function distribucion_tabla()
	{
		$.ajax({
			type: "POST",
			url: "../distribucion/distribucion_tabla.php",
			async:true,
			dataType: "html", 
			data: $("#for_fil_dis").serialize(),                    
			beforeSend: function() {		
				$('#div_distribucion_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_distribucion_tabla').html(html);
			},
			complete: function(){			
				$('#div_distribucion_tabla').removeClass("ui-state-disabled");
			}
		});     
	}
	
	

	
$(function() {
	
	
	$("#btn_guardar").click(function(){
			almori_id = $("#hdd_alm_ori").val();
			$.ajax({
			type: "POST",
			url: "../distribucion/distribucion_reg.php",
			async:true,
			dataType: "json",                      
			data: ({
				action:	"insertar",
				almori_id:almori_id
			}),
			beforeSend: function() {		
			
			},
			success: function(data){
				if(data.est==0){	
					toastr["error"](data.msj);
					
					$(".div_itemsinstock").html(data.item);
					
				}else {
					toastr["success"](data.msj);
				}
			},
			complete: function(){			
	
			}
			});
		});
			
$("#btn_verproductoagregado").click(function(){
		ordencompra_form('insertar');
});

	
	$('#btn_actualizar').click(function() {
		$("#contenido").load("../distribucion/distribucion_vista.php");
	});
	 
	distribucion_sucursal();	
	
	setTitle("DISTRIBUCION - "+nombreEmpresa);	
	
});
</script>


<?php }?>

